.style-switcher {
    position: fixed;
    right: 0;
    top: 77px;
    z-index: 101;
    padding: 15px;
    width: 200px;
    border-radius: 5px;
    transition: all 0.3s ease;
    transform: translateX(100%);
}

.style-switcher.open {
    transform: translateX(-15px);
}

.style-switcher .colors span {
    cursor: pointer;
}

.style-switcher .s-icon {
    position: absolute;
    height: 40px;
    width: 40px;
    text-align: center;
    font-size: 20px;
    color: var(--text-black-900);
    right: 100%;
    margin-right: 15px;
    cursor: pointer;
    transition: all 0.3s ease;
    border-radius: 50%;
}

.style-switcher .s-icon:after {
    border-radius: 50%;
}

.style-switcher .s-icon i {
    line-height: 40px;
}

.style-switcher .s-icon a {
    height: 40px;
    width: 40px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.style-switcher .s-icon img {
    width: 25px;
    height: 25px;
    line-height: 40px;
    position: absolute;
    opacity: 0.7;
}

.style-switcher .style-toggler {
    top: 0;
}

.style-switcher .day-night {
    top: 70px;
}

.style-switcher .color-title,
.style-switcher .language-title {
    margin-bottom: 10px;
    color: var(--text-black-700);
}

.style-switcher .color-title h4,
.style-switcher .language-title h4{
    font-weight: 600;
    text-transform: capitalize;
    display: inline-block;
    margin-left: 6px;
    font-size: 16px !important;
}

.style-switcher .colors {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 16px;
}

.style-switcher .colors span {
    display: inline-block;
    height: 30px;
    width: 30px;
    border-radius: 50%;
}

.style-switcher .colors span.color-1 {
    background-color: #fb839e;
}

.style-switcher .colors span.color-2 {
    background-color: #FBD630;
}

.style-switcher .colors span.color-3 {
    background-color: #1fc586;
}

.style-switcher .colors span.color-4 {
    background-color: #2eb1ed;
}

.style-switcher .colors span.color-5 {
    background-color: #cc3a3b;
}

.style-switcher .languages {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.style-switcher .languages .language {
    display: inline-block;
    color: var(--text-black-800);
    font-weight: 500;
    font-size: 16px;
    cursor: pointer;
    padding: 2px 8px;
}

.style-switcher .languages .language.active{
    background-color: var(--skin-color);
    border-radius: 12px;
    transition: all 0.3s ease;
}

.style-switcher .picker-text{
    display: flex;
    margin-top: 12px;
}

.style-switcher .picker-text label{
    font-size: 14px;
    flex: 0 0 40%;
    width: 40%;
    color: var(--text-black-700);
    font-weight: 500;
    margin: auto;
}
.style-switcher .input-group {
    display: block !important;
    border-radius: 30px;
    transition: all 0.3s ease;
    flex: 0 0 60%;
    width: 60%;
}

.style-switcher .input-group:after {
    border-radius: 30px;
}

.style-switcher .input-group .input-control {
    height: 15px;
    border-radius: 30px;
    width: 100%;
    border: none;
    background-color: transparent;
    font-size: 14px;
    padding: 0 15px;
    color: var(--skin-color);
}

.style-switcher .input-group input{
    text-align: center;
}

.style-switcher .input-group input::placeholder {
    /* content: attr(placeholder); */
    color:var(--skin-color);
    text-align: center;
}